package com.qmth.distributed.print.business.bean.dto.open;

import java.util.List;

public class ExamStudentScore {

    private String name;
    private String studentCode;
    private String paperNumber;
    private String paperName;
    private String paperType;
    private String college;
    private String major;
    private String className;
    private String teacherName;
    private String teacherCode;
    private Integer status;
    private Double totalScore;
    private Double objectiveScore;
    private Double subjectiveScore;
    private List<TopicInfo> objectiveScoreDetail;
    private List<TopicInfo> subjectiveScoreDetail;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getCollege() {
        return college;
    }

    public void setCollege(String college) {
        this.college = college;
    }

    public String getMajor() {
        return major;
    }

    public void setMajor(String major) {
        this.major = major;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeacherCode() {
        return teacherCode;
    }

    public void setTeacherCode(String teacherCode) {
        this.teacherCode = teacherCode;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public Double getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(Double objectiveScore) {
        this.objectiveScore = objectiveScore;
    }

    public Double getSubjectiveScore() {
        return subjectiveScore;
    }

    public void setSubjectiveScore(Double subjectiveScore) {
        this.subjectiveScore = subjectiveScore;
    }

    public List<TopicInfo> getObjectiveScoreDetail() {
        return objectiveScoreDetail;
    }

    public void setObjectiveScoreDetail(List<TopicInfo> objectiveScoreDetail) {
        this.objectiveScoreDetail = objectiveScoreDetail;
    }

    public List<TopicInfo> getSubjectiveScoreDetail() {
        return subjectiveScoreDetail;
    }

    public void setSubjectiveScoreDetail(List<TopicInfo> subjectiveScoreDetail) {
        this.subjectiveScoreDetail = subjectiveScoreDetail;
    }

    public static class TopicInfo{
        private String score;
        private String answer;
        private Integer mainNumber;
        private String subNumber;

        public String getScore() {
            return score;
        }

        public void setScore(String score) {
            this.score = score;
        }

        public String getAnswer() {
            return answer;
        }

        public void setAnswer(String answer) {
            this.answer = answer;
        }

        public Integer getMainNumber() {
            return mainNumber;
        }

        public void setMainNumber(Integer mainNumber) {
            this.mainNumber = mainNumber;
        }

        public String getSubNumber() {
            return subNumber;
        }

        public void setSubNumber(String subNumber) {
            this.subNumber = subNumber;
        }
    }
}
